## visad.java2d
Class ShadowRealTypeJ2D

    java.lang.Object
      visad.ShadowType
          visad.java2d.ShadowTypeJ2D
              visad.java2d.ShadowScalarTypeJ2D
                  visad.java2d.ShadowRealTypeJ2D

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ShadowBarbRealTypeJ2D

public class ShadowRealTypeJ2D
extends ShadowScalarTypeJ2D

The ShadowRealTypeJ2D class shadows the RealType class, within a DataDisplayLink.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java2d.ShadowTypeJ2D
`adaptedShadowType, display, inheritedText, inheritedTextControl, Link, Type`

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowRealTypeJ2D(MathType type, DataDisplayLink link, ShadowType parent)`

Method Summary
`boolean` `doTransform(VisADGroup group, Data data, float[] value_array, float[] default_values, DataRenderer renderer)` transform data into a Java2D VisADSceneGraphObject; return true if need post-process
`(package private) void` `postProcess(VisADGroup group)` render accumulated Vector of value_array-s to and add to group; then clear AccumulationVector
`(package private) void` `preProcess()` clear AccumulationVector

Methods inherited from class visad.java2d.ShadowScalarTypeJ2D
`getDisplaySpatialTuple, getDisplaySpatialTupleIndex, getIndex, getMappedDisplayScalar, getSelectedMapVector`

Methods inherited from class visad.java2d.ShadowTypeJ2D

`addLabelsToGroup, addToGroup, allowCurvedTexture, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`addSwitch, addTextToGroup, addToGroup, addToSwitch, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, getTextMaps, makeBranch, makePointGeometry, makeSpatialSet, makeSwitch, recurseComponent, recurseRange, setTex3DCoords, setTexCoords, setTexStackCoords, terminalTupleOrScalar, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, wantIndexed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowRealTypeJ2D

    public ShadowRealTypeJ2D(MathType type,
                             DataDisplayLink link,
                             ShadowType parent)
                      throws VisADException,
                             RemoteException

Method Detail

### preProcess

    void preProcess()
              throws VisADException

  clear AccumulationVector

  Overrides:
    `preProcess` in class `ShadowTypeJ2D`
  Throws:
    `VisADException`

### doTransform

    public boolean doTransform(VisADGroup group,
                               Data data,
                               float[] value_array,
                               float[] default_values,
                               DataRenderer renderer)
                        throws VisADException,
                               RemoteException

  transform data into a Java2D VisADSceneGraphObject; return true if need post-process

  Overrides:
    `doTransform` in class `ShadowTypeJ2D`
  Throws:
    `VisADException`
    `RemoteException`

### postProcess

    void postProcess(VisADGroup group)
               throws VisADException

  render accumulated Vector of value_array-s to and add to group; then clear AccumulationVector

  Overrides:
    `postProcess` in class `ShadowTypeJ2D`
  Throws:
    `VisADException`